🚫Wallet
How to use Wallet to submit a payout in Argentina.
Last updated
{
"code": 200,
"msg": "success",
"time": 1628580845,
"data": {
"id": "TS202108100734054iRiUZFPXfQM",
"custom_code": "custom_code9982674851738108",
"arrival_amount": "0.51",
"arrival_currency": "ARS",
"source_amount": "0.07",
"source_currency": "USD",
"status": "IN_PROCESSING"
}
}{
"code": 4004003,
"msg": "permission denied",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 4001020,
"msg": "order already existed",
"time": 1628580940,
"data": {}
}{
"code": 5001003,
"msg": "fee not configured",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001102,
"msg": "balance insufficient",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001000,
"msg": "system error",
"time": 1637224716,
"data": {
... ...
}
}curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
* "name" : "GUILHERME ****** SOUZA",
"phone": "12******9",
"email": "payout@pagsmile.com",
* "account_type": "CVU", // fixed value: CVU
* "account": "00000031************56",
* "document_id": "27*******00",
* "document_type": "CUIT", // fixed value: CUIT
* "source_currency": "ARS",
* "arrival_currency": "ARS", // fixed value: ARS
* "fee_bear": "merchant", // should be one of merchant, beneficiary
* "method": "WALLET", // fixed value: WALLET
* "channel": "MercadoPago", // fixed value: MercadoPago
* "amount": 200,
* "notify_url": "https://notify.url",
* "custom_code" : "merchant_payout_order_id",
* "additional_remark": "pagsmile payout test remark",
* "country": "ARG" // fixed value: ARG
}
'